<?xml version="1.0" encoding="UTF-8"?>
<Package Name="Python" xmlns="http://keysight.com/Schemas/tap" Version="$(GitVersion)" OS="Windows,Linux,MacOS">
    <Description>
        OpenTAP Python SDK plugin. This plugin includes all tools, examples, and documentation to develop OpenTAP plugins using Python.
        <Links>
            <Link Name="Source Code" Description="Go to the source code repository." Url="https://gitlab.com/OpenTAP/Plugins/python"/>
            <Link Name="Documentation" Description="Go to the documentation." Url="https://opentap.gitlab.io/Plugins/python/"/>
        </Links>
        <Contacts> tap.support@keysight.com </Contacts>
        <Prerequisites> Python (>3.6) </Prerequisites>
    </Description>
    <Owner>Keysight Technologies, Inc.</Owner>
    <SourceUrl>https://gitlab.com/OpenTAP/Plugins/python</SourceUrl>
    <Repository Url="https://opentap.gitlab.io/Plugins/python/" />
    <Files>
        <File Path="Packages/Python/OpenTap.Python.dll" >
            <IgnoreDependency>Microsoft.CSharp</IgnoreDependency>
            <IgnoreDependency>System.Collections.Concurrent</IgnoreDependency>
            <IgnoreDependency>System.IO.FileSystem.Primitives</IgnoreDependency>
            <IgnoreDependency>System.Linq</IgnoreDependency>
            <IgnoreDependency>System.Linq.Expressions</IgnoreDependency>
            <IgnoreDependency>System.ObjectModel</IgnoreDependency>
            <IgnoreDependency>System.Reflection.Emit</IgnoreDependency>
            <IgnoreDependency>System.Reflection.Emit.ILGeneration</IgnoreDependency>
            <IgnoreDependency>System.Reflection.Emit.LightWeight</IgnoreDependency>
            <IgnoreDependency>System.Security.Cryptography.Primitives</IgnoreDependency>
            <IgnoreDependency>System.Text.RegularExpressions</IgnoreDependency>
            <IgnoreDependency>System.Threading</IgnoreDependency>
            <IgnoreDependency>System.Threading.Task.Extensions</IgnoreDependency>
            <IgnoreDependency>System.Threading.Task.Parallel</IgnoreDependency>
            <IgnoreDependency>System.Xml.ReaderWriter</IgnoreDependency>
            <IgnoreDependency>System.Xml.XDocument</IgnoreDependency>
            <IgnoreDependency>netstandard2.0</IgnoreDependency>
        </File>
        <File Path="Packages/Python/Examples/*.py" />
        <File Path="Packages/Python/opentap.py" />
        <File Path="Packages/Python/icon.png">
            <PackageIcon/>
        </File>

    </Files>
</Package>


